<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Errors extends User_Controller {

    public function __construct() {
        parent::__construct();
        if (!defined('MODULEPATH'))
            define('MODULEPATH', MODULESPATH . '/errors/');
    }

    public function get_sys_msg() {
        if (!isset($_SESSION))
            session_start();
        $this->System_messages_model->error = isset($_SESSION['error']) ? $_SESSION['error'] : array();
        $this->System_messages_model->info = isset($_SESSION['info']) ? $_SESSION['info'] : array();
        $this->System_messages_model->success = isset($_SESSION['success']) ? $_SESSION['success'] : array();
        $_SESSION['error'] = $_SESSION['info'] = $_SESSION['success'] = array();
        $data = array(
            'error' => $this->System_messages_model->error,
            'info' => $this->System_messages_model->info,
            'success' => $this->System_messages_model->success,
        );
        $this->load->vars($data);
        $this->parser->parse(MODULESPATH . 'errors/views/' . $this->theme . "/sys_msg_refresh.php");
    }

    public function index() {
        if (!isset($_SESSION))
            session_start();
        $heading_1 = isset($_SESSION['error_heading']) ? $_SESSION['error_heading'] : '';
        $heading_2 = '';
        $error_texts = explode(' ', $heading_1);
        if (is_array($error_texts) && count($error_texts) > 1) {
            $heading_2 = str_replace($error_texts[0] . ' ', '', $heading_1);
            $heading_1 = $error_texts[0];
        }
        $main_data = array(
            'page_name' => 'error',
            'heading_1' => $heading_1,
            'heading_2' => $heading_2,
            'message' => isset($_SESSION['error_message']) ? $_SESSION['error_message'] : '',
        );
        $this->load_js()->load_css();
        $data = array(
            'main_content' => $this->parser->parse(MODULESPATH . 'errors/views/' . $this->theme . '/error.php', $main_data, true),
        );
        if ($this->current_account) {
            $this->parser->parse(MODULESPATH . 'main/views/' . $this->theme . '/main.php', $data);
        } else {
            $this->parser->parse(MODULESPATH . 'main/views/' . $this->theme . '/guest_main.php', $data);
        }
    }

}
