{if !$ajax}
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="revisit-after" content="7 days" />
        <link rel="shortcut icon" href="{$site_url}favicon.ico" />
        {if $css}
        {foreach $css as $element}
        <link rel="stylesheet" href="{$element}" type="text/css" />
        {/foreach}
        {/if}
        {if $js}
        {foreach $js as $element}
        <script src="{$element}" type="text/javascript"></script>
        {/foreach}
        {/if}
{/if}
        {if $css_additional}
        {foreach $css_additional as $element}
        <link rel="stylesheet" href="{$element}" type="text/css" />
        {/foreach}
        {/if}
        {if $js_additional}
        {foreach $js_additional as $element}
        <script src="{$element}" type="text/javascript"></script>
        {/foreach}
        {/if}
{if !$ajax}
        <!-- Mobile Specific Metas -->
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <!-- Le styles -->
        <!-- Use new way for google web fonts
        http://www.smashingmagazine.com/2012/07/11/avoiding-faux-weights-styles-google-web-fonts -->
        <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css' /> <!-- Headings -->
        <link href='http://fonts.googleapis.com/css?family=Droid+Sans:400,700' rel='stylesheet' type='text/css' /> <!-- Text -->
        <!--[if lt IE 9]>
        <link href="http://fonts.googleapis.com/css?family=Open+Sans:400" rel="stylesheet" type="text/css" />
        <link href="http://fonts.googleapis.com/css?family=Open+Sans:700" rel="stylesheet" type="text/css" />
        <link href="http://fonts.googleapis.com/css?family=Droid+Sans:400" rel="stylesheet" type="text/css" />
        <link href="http://fonts.googleapis.com/css?family=Droid+Sans:700" rel="stylesheet" type="text/css" />
        <![endif]-->
        <link rel="apple-touch-icon-precomposed" sizes="144x144" href="{$site_url}uploads/modules/main/user/images/apple-touch-icon-144-precomposed.png" />
        <link rel="apple-touch-icon-precomposed" sizes="114x114" href="{$site_url}uploads/modules/main/user/images/apple-touch-icon-114-precomposed.png" />
        <link rel="apple-touch-icon-precomposed" sizes="72x72" href="{$site_url}uploads/modules/main/user/images/apple-touch-icon-72-precomposed.png" />
        <link rel="apple-touch-icon-precomposed" href="{$site_url}uploads/modules/main/user/images/apple-touch-icon-57-precomposed.png" />
        <!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
        <!--[if lt IE 9]>
        <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
        <![endif]-->
        <title>Newsletter Plus Software</title>
        <script type="text/javascript">
            //adding load class to body and hide page
            document.documentElement.className += 'loadstate';
        </script>
    </head>
    <body>
        <script type="text/javascript">
            {literal}
            var site_url = '{/literal}{$site_url}{$lang_code_prefix}install/{literal}';
            var lang_code = '{/literal}{$lang_code_prefix}{literal}';
            var theme_url = '{/literal}{$site_url}uploads/modules/main/{$theme}/{literal}';
            var old_link = document.location.href;
            {/literal}
        </script>

        <div id="qLoverlay"></div>
        <div id="qLbar"></div>

        <div id="header">
            <div class="navbar">
                <div class="navbar-inner">
                    <div class="container-fluid">
                        <a class="brand" href="{$site_url}{$lang_code_prefix}"><img style="height:40px" src="{$site_url}uploads/modules/main/{$theme}/logotypes/logo_{$current_language}.png" /></a>
                        <div class="nav-no-collapse">
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div id="wrapper">

            <!--Sidebar background-->
            <div id="sidebarbg"></div>
            <!--Sidebar content-->
            <div id="sidebar">

                <div id="shorcuts" class="shortcuts">
                    <center>{$this->lang->line('version')}</center>
                </div><!-- End search -->

                <div class="sidenav">

                    <div class="sidebar-widget" style="margin: -1px 0 0 0;">
                        <h5 class="title" style="margin-bottom:0">{$this->lang->line('setup')}</h5>
                    </div><!-- End .sidenav-widget -->

                    <div id="navigation" class="mainnav">
                        <ul>
                            <li><a href="#" onclick="return false;" {if $page_name == 'language'}class="current"{/if}><span class="icon16 icomoon-icon-flag"></span>{$this->lang->line('select_your_language')}</a></li>
                            <li><a href="#" onclick="return false;" {if $page_name == 'license'}class="current"{/if}><span class="icon16 icomoon-icon-key"></span>{$this->lang->line('license_verification')}</a></li>
                            <li><a href="#" onclick="return false;" {if $page_name == 'ftp'}class="current"{/if}><span class="icon16 entypo-icon-globe"></span>{$this->lang->line('ftp_settings')}</a></li>
                            <li><a href="#" onclick="return false;" {if $page_name == 'database'}class="current"{/if}><span class="icon16 icomoon-icon-database"></span>{$this->lang->line('database_settings')}</a></li>
                            <li><a href="#" onclick="return false;" {if $page_name == 'download'}class="current"{/if}><span class="icon16 entypo-icon-download"></span>{$this->lang->line('download_modules')}</a></li>
                            <li><a href="#" onclick="return false;" {if $page_name == 'setup'}class="current"{/if}><span class="icon16 entypo-icon-install"></span>{$this->lang->line('setup_modules')}</a></li>
                            <li><a href="#" onclick="return false;" {if $page_name == 'complete'}class="current"{/if}><span class="icon16 icomoon-icon-user"></span>{$this->lang->line('complete')}</a></li>
                        </ul>
                    </div>
                </div><!-- End sidenav -->

                <!-- widgets -->

            </div><!-- End #sidebar -->

            <!--Body content-->
            <div id="content" class="clearfix">
{/if}

                <div class="contentwrapper"><!--Content wrapper-->

                    <div class="heading">

                        <h3>{$current_page_name}</h3>
                    </div><!-- End .heading-->

                    <!-- Build page from here: -->
                    <div class="row-fluid">

                        {$main_content}

                    </div><!-- End .row-fluid -->
                    <!--End page -->

                </div><!-- End contentwrapper -->

                <script type="text/javascript">
                    $(document).ready(function() {
                        refresh_system_messages();
                        $('a.fancybox_link').fancybox();
                        var breadcrumb = $('#breadcrumb');
                        $(breadcrumb).off();
                        $(breadcrumb).on('click', 'a', function() {
                            var link = $(this).attr('href');
                            if (link && link != '#') {
                                $("html").addClass("loadstate");
                                $.post(link, function(data) {
                                    $(content).html(data);
                                    after_load();
                                    $("html").removeClass("loadstate");
                                    if (old_link != link) {
                                        history.pushState('', '', link);
                                        old_link = link;
                                    }
                                }).fail(function() { $("html").removeClass("loadstate"); document.location.href = link; });
                            }    
                            return false;
                        });
                        var shorcuts = $('#shorcuts');
                        $(shorcuts).off();
                        $(shorcuts).on('click', 'a', function() {
                            var link = $(this).attr('href');
                            if (link && link != '#') {
                                $("html").addClass("loadstate");
                                $.post(link, function(data) {
                                    $(content).html(data);
                                    after_load();
                                    $("html").removeClass("loadstate");
                                    if (old_link != link) {
                                        history.pushState('', '', link);
                                        old_link = link;
                                    }
                                }).fail(function() { $("html").removeClass("loadstate"); document.location.href = link; });
                            }    
                            return false;
                        });
                    });
                </script>
        
{if !$ajax}
            </div><!-- End #content -->

        </div><!-- End #wrapper -->

        <div id="footer">
            &copy; {date('Y',time())} <a href="http://newsletterplus.net/{$lang_code_prefix}" target="_blank">{$this->lang->line('product_name')}</a>
        </div>

        {literal}
        <script type="text/javascript">
            var content = jQuery('#content');
            // document ready function
            $(document).ready(function() {
                $("html").removeClass("loadstate");
                var navigation = $('#navigation');
                var user_top_menu = $('#user_top_menu');
                $(navigation).off();
                $(user_top_menu).off();
                $(navigation).on('click', 'li a', function() {
                    var link = $(this).attr('href');
                    if (link && link != '#') {
                        $('#navigation a').removeClass('current');
                        $(this).addClass('current');
                        $("html").addClass("loadstate");
                        $.post(link, function(data) {
                            $(content).html(data);
                            after_load();
                            $("html").removeClass("loadstate");
                            if (old_link != link) {
                                history.pushState('', '', link);
                                old_link = link;
                            }
                        }).fail(function() { $("html").removeClass("loadstate"); document.location.href = link; });
                    }
                    return false;
                });
                $(user_top_menu).on('click', 'a', function() {
                    var link = $(this).attr('href');
                    var parent_menu = $(user_top_menu).parent();
                    if (link && link != '#') {
                        $("html").addClass("loadstate");
                        $.post(link, function(data) {
                            $(content).html(data);
                            after_load();
                            $("html").removeClass("loadstate");
                            if (old_link != link) {
                                history.pushState('', '', link);
                                old_link = link;
                            }
                            $(parent_menu).removeClass('open');
                        }).fail(function() { $("html").removeClass("loadstate"); document.location.href = link; });
                    }
                    return false;
                });
                window.addEventListener("popstate", function(e) {
                    link = location.href;
                    if (link && link != old_link && link && link != old_link + '#') {
                        old_link = link;
                        $("html").addClass("loadstate");
                        $.post(link, function(data) {
                            $(content).html(data);
                            after_load();
                            $("html").removeClass("loadstate");
                        }).fail(function() { $("html").removeClass("loadstate"); document.location.href = link; });
                    }
                    return false;
                }, false);
            });
        </script>
        {/literal}

        <div id="errors_container"></div>
    </body>
</html>
{/if}
