{if !$files_ajax}
<div class="span12" id="save_page">

    <div class="box">

        <div class="title">

            <h4>
                <span class="icon16 icomoon-icon-book-2"></span>
                <span>{if $page}{l('page_edit','main')}{else}{l('page_add','main')}{/if}</span>
            </h4>

        </div>
        <div class="content">

            <form id="form_page" class="form-horizontal" action="#" method="POST" enctype="multipart/form-data">

                <input id="action" type="hidden" name="action" value="save" />

                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            <label class="form-label span3" for="name">{l('field_keyword','main')}</label>
                            <input placeholder="{l('field_keyword_placeholder','main')}" class="span9" id="name" name="name" type="text" value="{$page.name}" />
                        </div>
                    </div>
                </div>

                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            <label class="form-label span3" for="fullpage">{l('field_fullpage','main')}</label>
                            <div class="span9 controls">
                                <input type="checkbox" id="fullpage" value="1" {if $page.full}checked="checked"{/if} class="ibuttonCheck" name="fullpage" />
                            </div>
                        </div>
                    </div>
                </div>

                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            <label class="form-label span3" for="smarty">{l('field_smarty','main')}</label>
                            <div class="span9 controls">
                                <input type="checkbox" id="smarty" value="1" {if $page.smarty}checked="checked"{/if} class="ibuttonCheck" name="smarty" />
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            <label class="form-label span3" for="editor_changer">&nbsp;</label>
                            <div class="span9 controls">
                                    <p class="btn editor_changer_disable" id="editor_changer">{l('editor_enable','main')}</p>
                            </div>
                        </div>
                    </div>
                </div>

               
                {if $languages && is_array($languages) && count($languages) > 1}
                {foreach key=key item=item from=$languages}
                <div class="form-actions">
                    <strong>{l($item,'main')}</strong>
                </div>
                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            <label class="form-label span3" for="content[{$item}]">{l('field_page_content','main')}</label>
                            <div class="span9" style="margin-left: 0;">
                                <textarea id="content_{$item}" class="editor" name="content[{$item}]">{if $page.$item}{$page.$item}{/if}</textarea>
                            </div>
                        </div>
                    </div>
                </div>
                {/foreach}
                {else}
                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            <label class="form-label span3" for="content[{$current_language}]">{l('field_page_content','main')}</label>
                            <div class="span9" style="margin-left: 0;">
                                <textarea id="content_{$current_language}" class="editor" name="content[{$current_language}]">{if $page.$current_language}{$page.$current_language}{/if}</textarea>
                            </div>
                        </div>
                    </div>
                </div>
                {/if}

                {helper func_name=show_admin_save_seo_block helper_name=seo}

                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            <label class="form-label span3" for="wrapper">{l('field_wrapper','main')}</label>
                            <div class="span9 controls">
                                <input type="checkbox" id="wrapper" value="1" {if !$page || $page.wrapper}checked="checked"{/if} class="ibuttonCheck" name="wrapper" />
                            </div>
                        </div>
                    </div>
                </div>
                
                <div class="form-actions">
                    <button type="submit" class="btn btn-info">{l('button_save','main')}</button>
                    <a class="link_cancel" href="{if $main_pages_back_url}{$main_pages_back_url}{else}{$site_url}{$lang_code_prefix}admin/main/pages{/if}"><p type="button" class="btn">{l('button_cancel','main')}</p></a>
                </div>

            </form>

        </div>

    </div><!-- End .box -->

    <div class="box">

        <div class="title">

            <h4>
                <span class="icon16 entypo-icon-attachment"></span>
                <span>{l('main_pages_files','main')}</span>
            </h4>

        </div>
        <div id="main_pages_files" class="content">

            {/if}

            <ul class="bigBtnIcon">
                <li>
                    <a href="{$site_url}{$lang_code_prefix}admin/main/upload_page_files/{$page.id}" class="tipB fancybox_link" data-fancybox-type="ajax" title="{l('button_add_file_title','main')}">
                        <span class="icon brocco-icon-plus"></span>
                        <span class="txt">{l('button_add','main')}</span>
                    </a>
                </li>
                <li>
                    <a id="delete_selected" href="#" class="tipB" title="{l('button_delete_file_title','main')}">
                        <span class="icon icomoon-icon-remove"></span>
                        <span class="txt">{l('button_delete','main')}</span>
                    </a>
                </li>
            </ul>

            <form id="delete_files" class="form-horizontal" action="{$site_url}{$lang_code_prefix}admin/main/delete_page_files/" method="POST" enctype="multipart/form-data">

                <table class="responsive table table-bordered">
                    <thead>
                        <tr>
                            <th><input id="delete_file_0" type="checkbox" class="grouping_all" /></th>
                            {*<th>{l('upload_file_name','main')}</th>*}
                            <th>{l('upload_file_url','main')}</th>
                            <th>{l('actions','main')}</th>
                        </tr>
                    </thead>
                    <tbody>

                        {if is_array($page_files) && count($page_files) > 0}
                        {foreach from=$page_files item=item}
                        <tr id="page_file_{$item.id}">
                            <td><input id="delete_file_{$item.id}" name="files[]" type="checkbox" class="grouping" value="{$item.id}" /></td>
                            {*<td>{$item.file}</td>*}
                            <td><a class="fancybox_link" data-fancybox-type="image" href="{$site_url}uploads/main_pages/{if $page}{$page.id}{else}0{/if}/{$item.file}" target="_blank">{$site_url}uploads/main_pages/{if $page}{$page.id}{else}0{/if}/{$item.file}</td>
                            <td>
                                <a rel="{$item.id}" href="{$site_url}{$lang_code_prefix}admin/main/delete_page_file/{$item.id}" title="{l('remove_file','main')}" class="tip remove_file"><span class="icon12 icomoon-icon-remove"></span></a>
                            </td>
                        </tr>
                        {/foreach}
                        {/if}
                    </tbody>
                </table>

            </form>

        </div>
    </div>

    <script type="text/javascript">
        {literal}
        function check_selected() {
            var all_count = $('input.grouping').size();
            var checked_count = $('input[checked=checked].grouping').size();
            if (checked_count == all_count) {
                $('input.grouping_all').attr('checked','checked');
            } else {
                $('input.grouping_all').removeAttr('checked');
            }
            return checked_count;
        }
        $('document').ready(function(){
            var main_pages_files = $('#main_pages_files');
            $(main_pages_files).off();
            $(main_pages_files).on('click','#delete_selected',function(){
                if (check_selected() == 0) {
                    $.pnotify({
                        title: '{/literal}{l('errors_not_selected_page_files_title','main')}{literal}',
                        text: '{/literal}{l('errors_not_selected_page_files_content','main')}{literal}',
                        icon: 'picon icon16 entypo-icon-warning white',
                        opacity: 0.95,
                        sticker: false,
                        history: false
                    });
                } else {
                    $("html").addClass("loadstate");
                    $('#delete_files').ajaxSubmit(function(data) {
                        $("html").removeClass("loadstate");
                        reload_files();
                        refresh_system_messages();
                    });
                }
                return false;
            });
            $(main_pages_files).on('change','input.grouping',function(){
                var checked = $(this).is(':checked');
                if (checked) {
                    $(this).attr('checked', 'checked');
                    $('#form_actions').show();
                } else {
                    $(this).removeAttr('checked');
                }
                check_selected();
                $.uniform.update();
            });
            $(main_pages_files).on('change','input.grouping_all',function(){
                var checked = $(this).is(':checked');
                if(checked){
                    $('input[type=checkbox]').attr('checked', 'checked');
                }else{
                    $('input[type=checkbox]').removeAttr('checked');
                }
                check_selected();
                $.uniform.update();
            });
            $(main_pages_files).on('click', 'a.remove_file', function() {
                href = $(this).attr('href');
                rel = $(this).attr('rel');
                $.post(href, function() {
                    $('#page_file_' + rel).remove();
                    refresh_system_messages();
                });
                return false;
            });
        });
        {/literal}
    </script>

    {if !$files_ajax}
</div><!-- End .span6 -->
{/if}

{if !$files_ajax}
{literal}

<script type="text/javascript">
    function reload_files() {
        $("html").addClass("loadstate");
        link = '{/literal}{$site_url}{$lang_code_prefix}admin/main/save_page/{$page.id}{literal}';
        $.post(link, {files_ajax: true}, function(data){
            $('#main_pages_files').html(data);
            after_load();
            $("html").removeClass("loadstate");
        }).fail(function() { $("html").removeClass("loadstate"); document.location.href = link; });
    }
    $(document).ready(function() {
        $('#content_type').change(function(){
            var content_type = $(this).val();
            if (content_type == 'html') {
                $('#html_container').show();
                $('#text_container').hide();
            } else {
                $('#html_container').hide();
                $('#text_container').show();
            }
        });
        $("#form_page").off();
        $("#form_page").validate({
            rules: {
                name: {
                    required: true,
                },
            },
            messages: {
                name: {
                    required: "{/literal}{l('errors_enter_keyword','main')}{literal}"
                },
            },
        });
        var save_page = $('#save_page');
        $(save_page).off().on('click', '.link_cancel', function() {
            href = $(this).attr('href');
            $("html").addClass("loadstate");
            $.post(href, function(data) {
                $(content).html(data);
                after_load();
                $("html").removeClass("loadstate");
                if (old_link != href) {
                    history.pushState('', '', href);
                    old_link = href;
                }
            }).fail(function() { $("html").removeClass("loadstate"); document.location.href = href; });
            return false;
        });
        var editor_changer = $('#editor_changer');
        var editor = {};
        $(editor_changer).click(function(){
        if ($(editor_changer).hasClass('editor_changer_disable')) {
            $.post('{/literal}{$site_url}{$lang_code_prefix}admin/main/editor_status/0/{$page.id}{literal}');
                $(editor_changer).removeClass('editor_changer_disable').html('{/literal}{l('editor_disable','main')}{literal}');
                {/literal}{if $languages && is_array($languages) && count($languages) > 1}
                {foreach key=key item=item from=$languages}{literal}
                var editor_{/literal}{$item}{literal} = $('#content_{/literal}{$item}{literal}').ckeditor( function() { /* callback code */ }, { skin : 'moono-light', language: '{/literal}{$lang_code}{literal}' } );
                {/literal}{/foreach}
                {else}{literal}
                var editor_{/literal}{$current_language}{literal} = $('#content_{/literal}{$current_language}{literal}').ckeditor( function() { /* callback code */ }, { skin : 'moono-light', language: '{/literal}{$lang_code}{literal}' } );
                {/literal}{/if}{literal}
            } else {
                $.post('{/literal}{$site_url}{$lang_code_prefix}admin/main/editor_status/1/{$page.id}{literal}');
                $(editor_changer).addClass('editor_changer_disable').html('{/literal}{l('editor_enable','main')}{literal}');
                {/literal}{if $languages && is_array($languages) && count($languages) > 1}
                {foreach key=key item=item from=$languages}{literal}
                var o = CKEDITOR.instances['content_{/literal}{$item}{literal}'];
                if (o) o.destroy();
                {/literal}{/foreach}
                {else}{literal}
                var o = CKEDITOR.instances['content_{/literal}{$current_language}{literal}'];
                if (o) o.destroy();
                {/literal}{/if}{literal}
            }
        }){/literal}{if !$page.wisywig}.click(){/if}{literal};
        $(save_page).on('submit', '#form_page', function() {
            $("html").addClass("loadstate");
            if (!$(editor_changer).hasClass('editor_changer_disable')) {
                {/literal}{if $languages && is_array($languages) && count($languages) > 1}
                {foreach key=key item=item from=$languages}{literal}
                document.getElementById('content_{/literal}{$item}{literal}').value = CKEDITOR.instances['content_{/literal}{$item}{literal}'].getData();
                {/literal}{/foreach}
                {else}{literal}
                document.getElementById('content_{/literal}{$current_language}{literal}').value = CKEDITOR.instances['content_{/literal}{$current_language}{literal}'].getData();
                {/literal}{/if}{literal}
            }
        });
    });
</script>

{/literal}

{/if}