{if !$ajax}
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="revisit-after" content="7 days" />
        <link rel="shortcut icon" href="{$site_url}uploads/modules/main/{$theme}/images/favicon.ico" />
        {if $demo_panel}
        <link rel="stylesheet" href="{$site_url}uploads/modules/main/demo/css/demo.css" type="text/css" />
        {/if}
        {if $js}
        {foreach $js as $element}
        <script src="{$element}" type="text/javascript"></script>
        {/foreach}
        {/if}
        {if $css}
        {foreach $css as $element}
        <link rel="stylesheet" href="{$element}" type="text/css" />
        {/foreach}
        {/if}
{/if}
        {if $js_additional}
        {foreach $js_additional as $element}
        <script src="{$element}" type="text/javascript"></script>
        {/foreach}
        {/if}
        {if $css_additional}
        {foreach $css_additional as $element}
        <link rel="stylesheet" href="{$element}" type="text/css" />
        {/foreach}
        {/if}
        {helper func_name=show_admin_themes_colors_css helper_name=themes}
        <script type="text/javascript">
            var page_name = '{$page_name}';
        </script>
{if !$ajax}

		<script src="{$site_url}uploads/modules/main/{$theme}/js/bootstrap/bootstrap.js" type="text/javascript"></script>
        <script src="{$site_url}uploads/modules/main/{$theme}/js/ios-orientationchange-fix.js" type="text/javascript"></script>
        <script src="{$site_url}uploads/modules/main/{$theme}/js/jquery/jquery-ui.min.js" type="text/javascript"></script>
        <script src="{$site_url}uploads/modules/main/{$theme}/js/jquery/jquery.ui.touch-punch.min.js" type="text/javascript"></script>
        <script src="{$site_url}uploads/modules/main/{$theme}/js/jquery/jquery.validate.min.js" type="text/javascript"></script>
        <script src="{$site_url}uploads/modules/main/{$theme}/js/jquery/jquery.uniform.min.js" type="text/javascript"></script>
        <script src="{$site_url}uploads/modules/main/{$theme}/js/jquery/jquery.qtip.js" type="text/javascript"></script>
        <script src="{$site_url}uploads/modules/main/{$theme}/js/jquery/jquery.pnotify.min.js" type="text/javascript"></script>
        <script src="{$site_url}uploads/modules/main/{$theme}/js/jquery/jquery.ibutton.min.js" type="text/javascript"></script>
		<script src="{$site_url}uploads/modules/main/{$theme}/js/jquery/jquery.dataTables.min.js" type="text/javascript"></script>
		<script src="{$site_url}uploads/modules/main/{$theme}/js/jquery/jquery.cookie.js" type="text/javascript"></script>
		<script src="{$site_url}uploads/modules/main/{$theme}/js/jquery/jquery.fancybox.pack.js" type="text/javascript"></script>
		<script src="{$site_url}uploads/modules/main/{$theme}/js/jquery/jquery.ui.totop.min.js" type="text/javascript"></script>
		<script src="{$site_url}uploads/modules/main/{$theme}/js/responsive-tables.js" type="text/javascript"></script>

        <!-- Mobile Specific Metas -->
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <!-- Le styles -->
        <!-- Use new way for google web fonts
        http://www.smashingmagazine.com/2012/07/11/avoiding-faux-weights-styles-google-web-fonts -->
        <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css' /> <!-- Headings -->
        <link href='http://fonts.googleapis.com/css?family=Droid+Sans:400,700' rel='stylesheet' type='text/css' /> <!-- Text -->
        <!--[if lt IE 9]>
        <link href="http://fonts.googleapis.com/css?family=Open+Sans:400" rel="stylesheet" type="text/css" />
        <link href="http://fonts.googleapis.com/css?family=Open+Sans:700" rel="stylesheet" type="text/css" />
        <link href="http://fonts.googleapis.com/css?family=Droid+Sans:400" rel="stylesheet" type="text/css" />
        <link href="http://fonts.googleapis.com/css?family=Droid+Sans:700" rel="stylesheet" type="text/css" />
        <![endif]-->
        <link rel="apple-touch-icon-precomposed" sizes="144x144" href="{$site_url}uploads/modules/main/admin/images/apple-touch-icon-144-precomposed.png" />
        <link rel="apple-touch-icon-precomposed" sizes="114x114" href="{$site_url}uploads/modules/main/admin/images/apple-touch-icon-114-precomposed.png" />
        <link rel="apple-touch-icon-precomposed" sizes="72x72" href="{$site_url}uploads/modules/main/admin/images/apple-touch-icon-72-precomposed.png" />
        <link rel="apple-touch-icon-precomposed" href="{$site_url}uploads/modules/main/admin/images/apple-touch-icon-57-precomposed.png" />
        <!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
        <!--[if lt IE 9]>
        <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
        <![endif]-->
        {helper func_name=show_seo helper_name=seo func_param=$seo_data}
        <script type="text/javascript">
            //adding load class to body and hide page
            document.documentElement.className += 'loadstate';
        </script>
    </head>
    <body>
        {if $demo_panel}
        <div id="switcher" style="height: 50px !imortant;max-height: 50px !imortant;">
            <div class="center">
                <ul>
                    {if $service_prefix != 'hotscripts/'}
                    <li class="switcher-tab">
                        <a href="http://jobboardplus.net/{$lang_code_prefix}"><span class="logotitle">Job Board Plus Software</span></a>
                    </li>
                    {else}
                    <li class="switcher-tab">
                        <a href="http://jobboardplus.net/{$lang_code_prefix}client/download.zip"><span class="logotitle">{l('trial_version','main')}</span></a>
                    </li>
                    {/if}
                    <li class="switcher-tab">
                        <a href="{$site_url}{$lang_code_prefix}"><span class="logotitle">{l('demo_version','main')}</span></a>
                    </li>
                    <li id="theme_list">
                        <a id="theme_select" href="#" style="padding-left: 0px;">{l('admin_mode','main')}</a>
                        <ul class="themedropdown">
                            <li>
                                <a href="{$site_url}{$lang_code_prefix}?sub_mode=jobseeker" class="screenshot">
                                    <span class="themetitle">{l('jobseeker_mode','main')}</span>
                                </a>
                            </li>
                            <li>
                                <a href="{$site_url}{$lang_code_prefix}?sub_mode=employer" class="screenshot">
                                    <span class="themetitle">{l('employer_mode','main')}</span>
                                </a>
                            </li>
                            <li>
                                <a href="{$site_url}{$lang_code_prefix}admin" class="screenshot">
                                    <span class="themetitle">{l('admin_mode','main')}</span>
                                </a>
                            </li>
                        </ul>

                    </li>
                    {if $service_prefix != 'hotscripts/'}
                    <li class="switcher-tab download_trial" style="background-position-x: 0%;background-position-y: 50%;">
                        <a href="http://jobboardplus.net/{$lang_code_prefix}client/download.zip"><span class="logotitle">{l('trial_version','main')}</span></a>
                    </li>
                    <li class="purchase" style="border-bottom: 1px solid black;height: 49px;margin-right: 0px;padding-right: 50px;">
                        <a href="http://jobboardplus.net/{$lang_code_prefix}client/prices"><span>{l('demo_purchase','main')}</span></a>
                    </li>
                    {else}
                    <li class="purchase" style="border-bottom: 1px solid black;height: 49px;background: #49AFCD;margin-right: 0px;padding-right: 50px;">
                        <a href="http://hotscripts.dpdcart.com/cart/add?product_id=62645&method_id=64264"><span>{l('demo_purchase','main')}</span></a>
                    </li>   
                    {/if}
                </ul>
            </div>
        </div>
        {literal}
        <script type="text/javascript">
            var theme_list_open = false;
            $(document).ready(function () {
                //$().framerate({framerate: 18})
                $('#res-test a').click(function() {
                    //console.log($(this));
                    $('body').css('background', '#111111');
                    if($(this).hasClass('active')) {
                        //do noting
                    } else {
                        //remove active class and add active to this element
                        $('#res-test > a.active').removeClass('active');
                        $(this).addClass('active');
                    }
                    if($(this).hasClass('desktop')) {
                        $('#iframe').css({'width' : '100%', 'left' : '0', 'margin-left' : '0' });
                    } else if ($(this).hasClass('tabletL')) {
                        $('#iframe').animate({
                            left: '50%',
                            width: '1039px',
                            'margin-left' : '-520px'
                        }, 500, function() {

                        });
                    } else if ($(this).hasClass('tabletP')) {
                        $('#iframe').animate({
                            left: '50%',
                            width: '783px',
                            'margin-left' : '-392px'
                        }, 500, function() {

                        });
                    } else if ($(this).hasClass('phoneL')) {
                        $('#iframe').animate({
                            left: '50%',
                            width: '495px',
                            'margin-left' : '-248px'
                        }, 500, function() {

                        });
                    } else if ($(this).hasClass('phoneP')) {
                        $('#iframe').animate({
                            left: '50%',
                            width: '335px',
                            'margin-left' : '-168px'
                        }, 500, function() {
                        });
                    }
                });
                function fixHeight () {
                    var headerHeight = $("#switcher").height();
                    $("#iframe").attr("height", (($(window).height()) - headerHeight) + 'px');
                }
                $(window).resize(function () {
                    var wsize =  $(window).width();
                    var size ="Window size is:" + $(window).width();
                    //console.log(size);
                    fixHeight();
                }).resize();
                $("#theme_select").click( function () {
                    if (theme_list_open == true) {
                        $(".center ul li ul").hide();
                        theme_list_open = false;
                    } else {
                        $(".center ul li ul").show();
                        theme_list_open = true;
                    }
                    return false;
                });
                $("#theme_list ul li a").click(function () {
                    var theme_data = $(this).attr("rel").split(",");
                    $("li.purchase a").attr("href", theme_data[1]);
                    $("li.remove_frame a").attr("href", theme_data[0]);
                    $("#iframe").attr("src", theme_data[0]);
                    $("#theme_list a#theme_select").text($(this).text());
                    $(".center ul li ul").hide();
                    theme_list_open = false;
                    return false;
                });

            });
        </script>
        {/literal}
        {/if}

        <div id="errors_container" class="form-row row-fluid">

        </div>
        <script type="text/javascript">
            {literal}
            var site_url = '{/literal}{$site_url}{$lang_code_prefix}admin/{literal}';
            var theme_url = '{/literal}{$site_url}uploads/modules/main/{$theme}/{literal}';
            var old_link = document.location.href;
            {/literal}
        </script>

        <div id="qLoverlay"></div>
        <div id="qLbar"></div>

        <div id="header">
            <div class="navbar">
                <div class="navbar-inner">
                    <div class="container-fluid">

                        <a class="brand" href="{$site_url}{$lang_code_prefix}admin"><img style="height:40px" src="{$site_url}uploads/modules/main/{$theme}/logotypes/{$current_language}.png?{time()}" /></a>
                        <div class="nav-no-collapse">
                            <ul class="nav">
                                <li>
                                    <a href="{$site_url}{$lang_code_prefix}">{l('user_mode','main')}</a>
                                </li>
                            </ul>
                            <ul class="nav pull-right">
                                {helper func_name=show_admin_top_menu_languages helper_name=languages}
                                <li class="resBtn">
                                    <a href="#" class="tipB" title="{l('menu','main')}"><span class="icon16 minia-icon-list-3"></span></a>
                                </li>
                                <li class="dropdown">
                                    <a href="#" class="dropdown-toggle tipB" title="{if $current_account.email}{$current_account.email}{else}{$current_profile.fname} {$current_profile.sname}{/if}" data-toggle="dropdown">
                                        <span class="icon16 icomoon-icon-user-2"></span>
                                        {if $current_account.email}{$current_account.email}{else}{$current_profile.fname} {$current_profile.sname}{/if}
                                        <span class="hasDrop icon16 icomoon-icon-arrow-down-2"></span>
                                    </a>
                                    <ul id="user_top_menu" class="dropdown-menu">
                                        <li class="menu">
                                            <ul>
                                            {helper func_name=show_admin_top_menu_dropdown_users helper_name=users}
                                            <li>
                                                <a href="{$site_url}{$lang_code_prefix}admin/main/settings/general"><span class="icon16 icomoon-icon-cog"></span>{l('page_settings','main')}</a>
                                            </li>
                                            </ul>
                                        </li>
                                    </ul>
                                </li>
                                {helper func_name=show_admin_top_menu_logout helper_name=users}
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div id="wrapper">

            <!--Sidebar background-->
            <div id="sidebarbg"></div>
            <!--Sidebar content-->
            <div id="sidebar">

                <div class="shortcuts">
                    <center></center>
                </div><!-- End search -->

                <div class="sidenav">

                    <div class="sidebar-widget" style="margin: -1px 0 0 0;">
                        <h5 class="title" style="margin-bottom:0">{l('navigation','main')}</h5>
                    </div><!-- End .sidenav-widget -->

                    <div id="navigation" class="mainnav">
                        <ul>
                            {helper func_name=show_admin_left_menu_main helper_name=main}
                        </ul>
                    </div>
                </div><!-- End sidenav -->

                <!-- widgets -->

            </div><!-- End #sidebar -->

            <!--Body content-->
            <div id="content" class="clearfix">
{/if}
                <div class="contentwrapper"><!--Content wrapper-->

                    <div class="heading">

                        <h3>{$current_page_name}</h3>

                        {if $page_array && is_array($page_array) && count($page_array) > 0}
                        <ul id="breadcrumb" class="breadcrumb">
                            <li>{l('you_are_here','main')}:</li>
                            <li>
                                <a href="{$site_url}{$lang_code_prefix}admin" class="tip" title="{l('tip_back_to_main','main')}">
                                    <span class="icon16 icomoon-icon-home"></span>
                                </a>
                                <span class="divider">
                                    <span class="icon16 icomoon-icon-arrow-right-2"></span>
                                </span>

                            </li>
                            {if $page_array}
                            {foreach item=item from=$page_array}
                            {if $item.active}
                            <li class="active">{$item.name}</li>
                            {else}
                            <li><a href="{$item.link}">{$item.name}</a></li>
                            <li>
                                <span class="divider">
                                    <span class="icon16 icomoon-icon-arrow-right-2"></span>
                                </span>
                            </li>
                            {/if}
                            {/foreach}
                            {/if}
                        </ul>
                        {/if}

                    </div><!-- End .heading-->

                    <!-- Build page from here: -->
                    <div class="row-fluid">

                        {$main_content}

                    </div><!-- End .row-fluid -->
                    <!--End page -->

                </div><!-- End contentwrapper -->
                
                <script type="text/javascript">
                    $(document).ready(function() {
                        refresh_system_messages();
                        $("a.fancybox_link").each(    
                            function()
                            {
                                $(this).fancybox().removeClass('fancybox_link');
                            }
                        );
                        var breadcrumb = $('#breadcrumb');
                        $(breadcrumb).off();
                        $(breadcrumb).on('click', 'a', function() {
                            var link = $(this).attr('href');
                            if (link && link != '#') {
                                $("html").addClass("loadstate");
                                $.post(link, function(data) {
                                    $(content).html(data);
                                    after_load();
                                    $("html").removeClass("loadstate");
                                    if (old_link != link) {
                                        history.pushState('', '', link);
                                        old_link = link;
                                    }
                                }).fail(function() { $("html").removeClass("loadstate"); document.location.href = link; });
                                return false;
                            }
                        });
                    });
                </script>
        
{if !$ajax}
            </div><!-- End #content -->

        </div><!-- End #wrapper -->

        <div id="footer">
            &copy; {date('Y',time())} <a href="{$site_url}{$lang_code_prefix}admin/">{l('product_name','main')}</a> {l('by_project','main')}
        </div>

        {literal}
        <script type="text/javascript">
            var content = $('#content');
            // document ready function
            $(document).ready(function() {
                $("html").removeClass("loadstate");
                var navigation = $('#navigation');
                var user_top_menu = $('#user_top_menu');
                $(navigation).off();
                $(user_top_menu).off();
                $(navigation).on('click', 'li a', function() {
                    var link = $(this).attr('href');
                    if (link && link != '#') {
                        $('#navigation a').removeClass('current');
                        $(this).addClass('current');
                        $("html").addClass("loadstate");
                        $.post(link, function(data) {
                            $(content).html(data);
                            after_load();
                            $("html").removeClass("loadstate");
                            if (old_link != link) {
                                history.pushState('', '', link);
                                old_link = link;
                            }
                        }).fail(function() { $("html").removeClass("loadstate"); document.location.href = link; });
                    }
                    return false;
                });
                $(user_top_menu).on('click', 'a', function() {
                    var link = $(this).attr('href');
                    var parent_menu = $(user_top_menu).parent();
                    if (link && link != '#') {
                        $("html").addClass("loadstate");
                        $.post(link, function(data) {
                            $(content).html(data);
                            after_load();
                            $("html").removeClass("loadstate");
                            if (old_link != link) {
                                history.pushState('', '', link);
                                old_link = link;
                            }
                            $(parent_menu).removeClass('open');
                        }).fail(function() { $("html").removeClass("loadstate"); document.location.href = link; });
                    }
                    return false;
                });
                window.addEventListener("popstate", function(e) {
                    link = location.href;
                    if (link && link != old_link && link && link != old_link + '#') {
                        old_link = link;
                        $("html").addClass("loadstate");
                        $.post(link, function(data) {
                            $(content).html(data);
                            after_load();
                            $("html").removeClass("loadstate");
                        }).fail(function() { $("html").removeClass("loadstate"); document.location.href = link; });
                    }
                    return false;
                }, false);
            });
        </script>
        {/literal}
        
        <div id="errors_container"></div>
    </body>
</html>
{/if}
