
<div class="span12" id="modules_container">

    <div style="margin-bottom: 20px;">
        {helper func_name=show_admin_modules_tab helper_name=modules func_param=$filter}

        <div class="tab-content">

            <br />

            <div id="list_container">

                {if $pagination}
                {$pagination}
                <br />
                <br />
                {/if}

                <div class="form-row row-fluid">

                        <input id="action" type="hidden" name="action" value="delete" />

                        <table cellpadding="0" cellspacing="0" border="0" class="responsive table table-bordered" width="100%">
                            <thead>
                                <tr>
                                    <th class="{if $order == 'name'}sorting_{$order_direction}{else}sorting{/if}"><a class="pagination_link" href="{$sort_links.name}">{l('field_name','modules')}</a></th>
                                    {*<th class="{if $order == 'description'}sorting_{$order_direction}{else}sorting{/if}"><a class="pagination_link" href="{$sort_links.description}">{l('field_description','modules')}</a></th>
                                    *}{*<th class="{if $order == 'module_type'}sorting_{$order_direction}{else}sorting{/if}"><a class="pagination_link" href="{$sort_links.module_type}">{l('field_module_type','modules')}</a></th>*}
                                    <th>{l('field_version','modules')}</th>
                                    <th class="{if $order == 'status'}sorting_{$order_direction}{else}sorting{/if}"><a class="pagination_link" href="{$sort_links.status}">{l('field_status','modules')}</a></th>
                                    <th>{l('actions','modules')}</th>
                                </tr>
                            </thead>
                            <tbody>
                                {foreach item=item key=key from=$modules}
                                <tr>
                                    <td>{$item.name}</td>
                                    {*<td>{$item.description}</td>*}
                                    {*<td>{l($item.module_type,'modules')}</td>*}
                                    <td>{$item.module_version}.{$item.sub_version}.{$item.patch_version}</td>
                                    <td>{if $item.status}<font class="valid">{l('activated','modules')}</font>{else}<font class="error">{l('not_active','modules')}</font>{/if}</td>
                                    <td>
                                        {if $item.module_type != 'mandatory_product'}
                                        {if !$item.status}
                                        <a href="{$site_url}{$lang_code_prefix}admin/modules/status/{$item.id}/1/"><p class="btn btn-mini btn-success"><span class="icon12 entypo-icon-checkmark white"></span>{l('activate','modules')}</p></a>
                                        {else}
                                        <a href="{$site_url}{$lang_code_prefix}admin/modules/status/{$item.id}/0/"><p class="btn btn-mini btn-danger"><span class="icon12 entypo-icon-cancel white"></span>{l('deactivate','modules')}</p></a>
                                        {/if}
                                        <a onclick="javascript: if(!confirm('{l('note_delete_module','modules')}')) return false;" href="{$site_url}{$lang_code_prefix}admin/modules/delete/{$item.id}"><p class="btn btn-mini"><span class="icon12 icomoon-icon-remove"></span>{l('button_delete','modules')}</p></a>
                                        {/if}
                                    </td>
                                </tr>
                                {/foreach}
                            </tbody>
                            <tfoot>
                                <tr>
                                    <th>{l('field_name','modules')}</th>
                                    {*<th>{l('field_description','modules')}</th>*}
                                    <th>{l('field_version','modules')}</th>
                                    <th>{l('field_status','modules')}</th>
                                    <th>{l('actions','modules')}</th>
                                </tr>
                            </tfoot>
                        </table>

                </div>

                {$pagination}

                <script type="text/javascript">
                    {literal}
                    $('document').ready(function(){
                        var modules_container = $('#modules_container');
                        $(modules_container).off();
                        var list_container = $('#list_container');
                        $(list_container).off();
                        $(modules_container).on('click','li', function(){
                            var a = $(this).children('a');
                            var href = a.attr('href');
                            $("html").addClass("loadstate");
                            $.post(href, function(data) {
                                $(content).html(data);
                                after_load();
                                $("html").removeClass("loadstate");
                                if (old_link != href) {
                                    history.pushState('', '', href);
                                    old_link = href;
                                }
                            }).fail(function() { $("html").removeClass("loadstate"); document.location.href = href; });
                            return false;
                        });
                        $(list_container).on('click','.pagination_link,.link_edit', function(){
                            href = $(this).attr('href');
                            $("html").addClass("loadstate");
                            $.post(href, function(data) {
                                $(content).html(data);
                                after_load();
                                $("html").removeClass("loadstate");
                                if (old_link != href) {
                                    history.pushState('', '', href);
                                    old_link = href;
                                }
                            }).fail(function() { $("html").removeClass("loadstate"); document.location.href = href; });
                            return false;
                        });
                    });
                    {/literal}
                </script>

            </div>
        </div>

    </div>

</div>
