
<div class="span12" id="modules_container">

    <div style="margin-bottom: 20px;">
        {helper func_name=show_admin_modules_tab helper_name=modules func_param=$filter}

        <div class="tab-content">

            <br />

            <div id="list_container">

                {if $pagination}
                {$pagination}
                <br />
                <br />
                {/if}

                <div class="form-row row-fluid">

                        <table cellpadding="0" cellspacing="0" border="0" class="responsive table table-bordered" width="100%">
                            <thead>
                                <tr>
                                    <th>{l('field_name','modules')}</th>
                                    <th>{l('field_description','modules')}</th>
                                    <th>{l('field_price','modules')}</th>
                                    <th>{l('actions','modules')}</th>
                                </tr>
                            </thead>
                            <tbody>
                                {if is_array($modules.paid_modules) && count($modules.paid_modules) > 0}
                                {foreach item=item key=key from=$modules.paid_modules}
                                <tr>
                                    <td>{$item->name}</td>
                                    <td>{$item->description}</td>
                                    <td>
                                        {if $item->allow_install}
                                        <font class="valid">{l('status_buyed','modules')}</font>
                                        {else}
                                        {if $item->old_price && $item->old_price > $item->price}<del>{$item->old_price}</del> {/if}{$item->price}
                                        {/if}
                                    </td>
                                    <td>
                                        {helper func_name=show_admin_paid_module_action helper_name=modules func_param=$item}
                                    </td>
                                </tr>
                                {/foreach}
                                {/if}
                            </tbody>
                            <tfoot>
                                <tr>
                                    <th>{l('field_name','modules')}</th>
                                    <th>{l('field_description','modules')}</th>
                                    <th>{l('field_price','modules')}</th>
                                    <th>{l('actions','modules')}</th>
                                </tr>
                            </tfoot>
                        </table>

                </div>

                {$pagination}

                <script type="text/javascript">
                    {literal}
                    $('document').ready(function(){
                        var modules_container = $('#modules_container');
                        $(modules_container).off();
                        var list_container = $('#list_container');
                        $(list_container).off();
                        $(modules_container).on('click','li', function(){
                            var a = $(this).children('a');
                            var href = a.attr('href');
                            $("html").addClass("loadstate");
                            $.post(href, function(data) {
                                $(content).html(data);
                                after_load();
                                $("html").removeClass("loadstate");
                                if (old_link != href) {
                                    history.pushState('', '', href);
                                    old_link = href;
                                }
                            }).fail(function() { $("html").removeClass("loadstate"); document.location.href = href; });
                            return false;
                        });
                        $(list_container).on('click','.pagination_link,.link_edit', function(){
                            href = $(this).attr('href');
                            $("html").addClass("loadstate");
                            $.post(href, function(data) {
                                $(content).html(data);
                                after_load();
                                $("html").removeClass("loadstate");
                                if (old_link != href) {
                                    history.pushState('', '', href);
                                    old_link = href;
                                }
                            }).fail(function() { $("html").removeClass("loadstate"); document.location.href = href; });
                            return false;
                        });
                    });
                    {/literal}
                </script>

            </div>
        </div>

    </div>

</div>
