<div class="span12" id="install_container">

<div class="box">

    <div class="title">
        <h4>
            <span class="icon16 icomoon-icon-user"></span>
            <span>{$this->lang->line('complete')}</span>
        </h4>
    </div>
    <div class="tab-content" id="list_container">

        <div class="span12">
            <form id="complete_form" class="form-horizontal" action="#" method="POST">

                <input type="hidden" name="action" value="complete" />

                {if $files && is_array($files) && count($files) > 0}
                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            <label class="form-label span2" for="permissions">{$this->lang->line('permissions')}</label>
                            <span class="span10">
                                {foreach from=$files item=item}
                                <p><font class="span12 error">{$this->lang->line('file')} {$item} {$this->lang->line('is_not_writable')}</font></p>
                                {/foreach}
                            </span>
                        </div>
                    </div>
                </div>
                {/if}
                
                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            <label class="form-label span2" for="email">{$this->lang->line('admin_email')}</label>
                            <input class="span10" type="text" id="email" value="{$email}" name="email" />
                        </div>
                    </div>
                </div>

                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            <label class="form-label span2" for="password">{$this->lang->line('admin_password')}</label>
                            <input class="span10" type="text" id="password" value="{$password}" name="password" />
                        </div>
                    </div>
                </div>

                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            <label class="form-label span2" for="fname">{$this->lang->line('admin_fname')}</label>
                            <input class="span10" type="text" id="fname" value="{$fname}" name="fname" />
                        </div>
                    </div>
                </div>

                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            <label class="form-label span2" for="sname">{$this->lang->line('admin_sname')}</label>
                            <input class="span10" type="text" id="sname" value="{$sname}" name="sname" />
                        </div>
                    </div>
                </div>

                <div class="form-actions">
                    <a class="link_cancel" href="{$site_url}{$lang_code_prefix}install/setup"><p type="button" class="btn"><span class="icon16 icomoon-icon-arrow-left-7"></span> {$this->lang->line('back')}</p></a>
                    <button type="submit" class="btn btn-info"><span class="icon16 icomoon-icon-arrow-right-7 white"></span> {$this->lang->line('go_to_admin_mode')}</button>
                </div>

            </form>
        </div>
    </div>
</div><!-- End .box -->

</div>