<div class="span12" id="install_container">

<div class="box">

    <div class="title">
        <h4>
            <span class="icon16 entypo-icon-install"></span>
            <span>{$this->lang->line('setup_modules')}</span>
        </h4>
    </div>
    <div class="tab-content" id="list_container">

        <div class="span12">
            <form id="download_form" class="form-horizontal" action="#" method="POST">

                <input type="hidden" name="action" value="setup" />

                {if $files && is_array($files) && count($files) > 0}
                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            <label class="form-label span2" for="permissions">{$this->lang->line('permissions')}</label>
                            <span class="span10">
                                {foreach from=$files item=item}
                                <p><font class="span12 error">{$this->lang->line('file')} {$item} {$this->lang->line('is_not_writable')}</font></p>
                                {/foreach}
                            </span>
                        </div>
                    </div>
                </div>
                {/if}
                
                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            <label class="form-label span2" for="modules">{$this->lang->line('modules')}</label>
                            <span class="span10">
                                {foreach from=$modules item=item key=key}
                                <font style="margin-left: 0px;" class="span4 {if $key > $module_id}error{else}valid{/if}">{$item.name} v.{$item.module_version}.{$item.sub_version}.{$item.patch_version}</font>
                                {/foreach}
                            </span>
                        </div>
                    </div>
                </div>
                
                <div class="form-actions" {if $module_id >= 0}style="display: none;"{/if}>
                    <a class="link_cancel" href="{$site_url}{$lang_code_prefix}install/download"><p type="button" class="btn"><span class="icon16 icomoon-icon-arrow-left-7"></span> {$this->lang->line('back')}</p></a>
                    <button type="submit" class="btn btn-info"><span class="icon16 icomoon-icon-arrow-right-7 white"></span> {$this->lang->line('next')}</button>
                </div>
                
                <div id="refresh_container" class="form-actions" style="display: none;">
                    <a id="link_refresh" href="{$site_url}{$lang_code_prefix}install/setup/{$module_id+1}"><p type="button" class="btn btn-info"><span class="icon16  brocco-icon-refresh white"></span> {$this->lang->line('refresh')}</p></a>
                </div>
                
                {if $module_id == 999999999}
                <div class="form-actions">
                    <a class="link_cancel" href="{$site_url}{$lang_code_prefix}install/download"><p type="button" class="btn"><span class="icon16 icomoon-icon-arrow-left-7"></span> {$this->lang->line('back')}</p></a>
                    <a href="{$site_url}{$lang_code_prefix}install/complete"><p type="button" class="btn btn-info"><span class="icon16 icomoon-icon-arrow-right-7 white"></span> {$this->lang->line('next')}</p></a>
                </div>
                {/if}
                
            </form>
        </div>
    </div>
</div><!-- End .box -->

{if $module_id >= 0 && $module_id != 999999999}
{literal}
<script type="text/javascript">
    $('document').ready(function(){
        $('#refresh_container').off();
        $('#refresh_container').on('click', '#link_refresh', function() {
            var link = $(this).attr('href');
            if (link) {
                $("html").addClass("loadstate");
                $.post(link, {'action': 'setup'}, function(data) {
                    $(content).html(data);
                    after_load();
                    $("html").removeClass("loadstate");
                }).fail(function() { $("html").removeClass("loadstate"); $('#refresh_container').show(); });
            }
            return false;
        });
        $('#link_refresh').click();
    });
</script>
{/literal}
{/if}

</div>
