{if !$is_ajax}
<div class="box gradient span6">

    <div class="title">
        <h4>
            <span class="icon16 icomoon-icon-cog"></span>
            <span>{l('main_settings','main')}</span>
        </h4>
    </div>
    <div class="content" {if !$vk_mode}style="height: 310px;"{/if}>

        <form id="email_settings_form" method="post" action="{$site_url}{$lang_code_prefix}users/settings" class="form-horizontal">

            <input type="hidden" name="action" value="main_settings" />

            <div class="form-row row-fluid">
                <div class="span12">
                    <div class="row-fluid">
                        <label class="form-label span4" for="time_zone_type">{l('time_zone','main')}</label>
                        <div class="span8 controls">
                            <select id="time_zone_type" name="time_zone_type" >

                                {foreach item=item key=key from=$time_zones}
                                <option value="{$key}" {if $current_profile.time_zone_type == $key || (!$current_profile.time_zone_type && $key == 'GMT Offset')}selected="selected"{/if}>{$key}</option>
                                {/foreach}
                            </select>
                        </div>
                    </div>
                </div>
            </div>

            <div id="time_zone_values_container">
                {/if}

                {if !$time_zone_type}
                {if $current_profile.time_zone_type}
                {assign var="time_zone_type" value=$current_profile.time_zone_type}
                {else}
                {assign var="time_zone_type" value='GMT Offset'}
                {/if}
                {/if}

                <div class="form-row row-fluid">
                    <div class="span12">
                        <div class="row-fluid">
                            {if !$vk_mode}
                            <label class="form-label span4" for="time_zone_value">&nbsp;</label>
                            {/if}
                            <div class="span8 controls">
                                <select id="time_zone_value" name="time_zone_value" >
                                    <option value="">{l('not_selected','main')}</option>
                                    {assign var="time_zone_values" value=$time_zones.$time_zone_type}
                                    {foreach item=item key=key from=$time_zone_values}
                                    <option value="{$key}" {if $current_profile.time_zone_value == $key}selected="selected"{/if}>{$item}</option>
                                    {/foreach}
                                </select>
                            </div>
                        </div>
                    </div>
                </div>

                {if !$is_ajax}
            </div>

            <div class="form-actions">
                <button type="submit" class="btn btn-info">{l('button_save','main')}</button>
            </div>

        </form>

    </div>

</div><!-- End .box -->

<script type="text/javascript">
    {literal}
    $('document').ready(function(){
        var time_zone_type_select = $('#time_zone_type');
        var time_zone_values_container = $('#time_zone_values_container');
        $(time_zone_type_select).change(function(){
            var time_zone_type_val = $(time_zone_type_select).val();
            $("html").addClass("loadstate");
            $.post('{/literal}{$site_url}{literal}main/get_settings_time_zone_variables/', {time_zone_type: time_zone_type_val}, function(data){
                $(time_zone_values_container).html(data);
                $('#time_zone_value').uniform();
                $("html").removeClass("loadstate");
            });
        });
    });
    {/literal}
</script>
{/if}
