{if $slider_settings.status}
{if $slider_settings.mode == 'metro' || $slider_settings.mode == 'images'}
<link rel="stylesheet" href="{$site_url}uploads/modules/main/{$theme}/css/banner.css" type="text/css" />

<script src="{$site_url}uploads/modules/main/{$theme}/js/jquery/jquery.flexslider-min.js" type="text/javascript"></script>
<link rel="stylesheet" href="{$site_url}uploads/modules/main/{$theme}/css/flexslider.css" type="text/css" />
{/if}

{if $slider_settings.mode == 'metro'}
<script src="{$site_url}uploads/modules/main/{$theme}/js/MetroJs.min.js" type="text/javascript"></script>
<link rel="stylesheet" href="{$site_url}uploads/modules/main/{$theme}/css/metrojs.css" type="text/css" />  
       
<div id="banner-slider" class="flexslider">
    <ul class="slides">
        <li>
            <div class="flex-container">
                <div class="container">
                    <div class="summer_box">
                        <div class="contenttextbox">
                            <div class="text_box">
                                {if $metro_mode_text}{$metro_mode_text.$current_language}{/if}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="container right metro">
                    <div id="tiles">
                        {if is_array($blocks) && count($blocks) > 0}
                        {foreach item=item from=$blocks}
                        {if !$item.animation}
                        {$item.animation = rand(1,4)}
                        {/if}
                        <div style="background-color:#{$item.color};{*border:1px solid #{$item.color};margin-left:-2px;margin-top:-2px;*}" class="{if $item.item_type == 'rectangle'}double {/if}{if in_array($item.animation,array('1','2'))}tile-slider{else}flip{/if} live-tile slider_metro" {if $item.animation == 1}data-stops="-100%,-100%, 0" data-mode="slide" data-direction="horizontal" data-delay="{rand(3500,4500)}"{/if}{if $item.animation == 2}data-stack="true" data-stops="-100%,-100%, 0" data-delay="{rand(3500,4500)}"{/if}{if $item.animation == 3}data-mode="flip" data-direction="horizontal" data-delay="{rand(3500,4500)}"{/if}{if $item.animation == 4}data-mode="flip" data-delay="{rand(3500,4500)}"{/if}>
                             <span style="background-color: #{$item.color}" class="tile-title">
                                <a href="{if preg_match('/^(http|mailto:|icq:|skype:)/',$item.link)}{$item.link}{else}{$site_url}{$lang_code_prefix}{$item.link}{/if}" rel="bookmark">
                                    {$item.$current_language}
                                </a>
                            </span>
                            {if $item.animation == 3 || $item.animation == 4}
                            <div class="flip-front">
                                <div>
                                    {if $item.image_1}
                                    <img {if $item.item_type == 'rectangle'}width="414" height="207"{else}width="207" height="207"{/if} src="{$site_url}uploads/main_slider/metro/{$item.image_1}" class="attachment-207x207" alt="{$item.$current_language}" />
                                        {/if}
                                </div>
                            </div>
                            <div class="flip-back">
                                <div>
                                    {if $item.image_2}
                                    <img {if $item.item_type == 'rectangle'}width="414" height="207"{else}width="207" height="207"{/if} src="{$site_url}uploads/main_slider/metro/{$item.image_2}" class="attachment-207x207" alt="{$item.$current_language}" />
                                        {/if}
                                </div>
                            </div>
                            {else}
                            <div style="background-color: #{$item.color}" class="{if $item.animation == '1'}wide-slide{/if}{if $item.animation == '2'}slide-front{/if}">
                                {if $item.image_1}
                                <img {if $item.item_type == 'rectangle'}width="414" height="207"{else}width="207" height="207"{/if} src="{$site_url}uploads/main_slider/metro/{$item.image_1}" class="attachment-207x207" alt="{$item.$current_language}" />
                                    {/if}
                                    {if $item.image_2}
                                    <img {if $item.item_type == 'rectangle'}width="414" height="207"{else}width="207" height="207"{/if} src="{$site_url}uploads/main_slider/metro/{$item.image_2}" class="attachment-207x207" alt="{$item.$current_language}" />
                                    {/if}
                            </div>
                            {/if}
                        </div>
                        {/foreach}
                        {/if}
                    </div>
                </div>
            </div>
        </li>

    </ul>
</div>

<div class="clear"></div>


<script type="text/javascript">
    {literal}
    var vSlide = "";
    if(vSlide == '' || vSlide == null)
        vSlide = '7000';
    var vAnimation = 'slide';
    var vAnimationspeed = "1000";
    if(vAnimationspeed == '' || vAnimationspeed == null)
        vAnimationspeed = '600';

    jQuery('#banner-slider').flexslider({
        animation: vAnimation,
        slideshowSpeed: vSlide,
        animationSpeed: vAnimationspeed,
        directionNav: false,
        start: function(slider){
            jQuery('div').removeClass('loading');
        }
    });

    jQuery(".live-tile, .flip-list").not(".exclude").liveTile();
    {/literal}
</script>
{/if}

{if $slider_settings.mode == 'images'}
{if is_array($images) && count($images) > 0}

<div class="flexslider">
          <ul class="slides full-width">
              {foreach item=item from=$images key=key}
              <li class="full-bg {if !key}flex-active-slide{/if}" style="background-image: url({$site_url}uploads/main_slider/images/{$item.file}); width: 100%; min-height: {$max_height}px;">
              {$item.$current_language}
              </li>
              {/foreach}
          </ul>
</div>
{literal}
<script type="text/javascript">
    jQuery(document).ready(function (){
        jQuery('.flexslider').flexslider({
            
        });
});
</script>
{/literal}
{/if}
{/if}

{if $slider_settings.mode == 'promo'}
<link rel="stylesheet" href="{$site_url}uploads/modules/main/{$theme}/css/promo.css" type="text/css" />
<div class="promo-block" style="margin: 0 auto; width: {if $promo_block_width_type != 'auto'}{$promo_block_width_value}{$promo_block_width_type}{else}auto{/if}; height: {if $promo_block_height_type != 'auto'}{$promo_block_height_value}{$promo_block_height_type}{else}auto{/if}; background-image: url('{if $promo_image}{$site_url}uploads/main_slider/promo/{$promo_image}{/if}'); background-position: {if $promo_image_hor_align}{$promo_image_hor_align}{else}center{/if} {if $promo_image_ver_align}{$promo_image_ver_align}{else}center{/if}; background-repeat: {if $promo_image_repeat == 'yes'}repeat{else}no-repeat{/if}; ">
    <div class="inside">
        {$promo_text.$current_language}
    </div>
</div>
{/if}

{/if}