
<div class="span12" id="updates_container">

    <div style="margin-bottom: 20px;">
        {helper func_name=show_admin_modules_tab helper_name=modules func_param=$filter}

        <div class="tab-content">

            <br />

            <div id="list_container">

                <div class="form-row row-fluid">

                        <input id="action" type="hidden" name="action" value="delete" />

                        {if $files && is_array($files) && count($files) > 0}
                            {foreach from=$files item=item}
                            <p><font class="span12 error">{$item} {l('is_not_writable','modules')}</font></p>
                            {/foreach}
                            <br />
                            <br />
                        {/if}
                        
                        <table cellpadding="0" cellspacing="0" border="0" class="responsive table table-bordered" width="100%">
                            <thead>
                                <tr>
                                    <th>{l('field_name','modules')}</th>
                                    <th>{l('field_current_version','modules')}</th>
                                    <th>{l('field_new_version','modules')}</th>
                                    <th>{l('actions','modules')}</th>
                                </tr>
                            </thead>
                            <tbody>
                                {if is_array($updates) && count($updates) > 0}
                                {foreach item=item key=key from=$updates}
                                <tr>
                                    <td>{$item.name}</td>
                                    <td>{if $item.current_version}{$item.current_version}{else}<font class="error">{l('not_installed','modules')}</font>{/if}</td>
                                    <td>3.{$item.sub_version}.{$item.patch_version}</td>
                                    <td>
                                        <a href="{$site_url}{$lang_code_prefix}admin/modules/{if $item.current_version}update{else}install{/if}/{$key}"><p class="btn btn-mini"><span class="icon12 minia-icon-refresh"></span>{l('button_install','modules')}</p></a>
                                    </td>
                                </tr>
                                {/foreach}
                                {/if}
                            </tbody>
                            <tfoot>
                                <tr>
                                    <th>{l('field_name','modules')}</th>
                                    <th>{l('field_current_version','modules')}</th>
                                    <th>{l('field_new_version','modules')}</th>
                                    <th>{l('actions','modules')}</th>
                                </tr>
                            </tfoot>
                        </table>

                </div>

                {$pagination}

                <script type="text/javascript">
                    {literal}
                    $('document').ready(function(){
                        var updates_container = $('#updates_container');
                        $(updates_container).off();
                        var list_container = $('#list_container');
                        $(list_container).off();
                        $(updates_container).on('click','li', function(){
                            var a = $(this).children('a');
                            var href = a.attr('href');
                            $("html").addClass("loadstate");
                            $.post(href, function(data) {
                                $(content).html(data);
                                after_load();
                                $("html").removeClass("loadstate");
                                if (old_link != href) {
                                    history.pushState('', '', href);
                                    old_link = href;
                                }
                            }).fail(function() { $("html").removeClass("loadstate"); document.location.href = href; });
                            return false;
                        });
                    });
                    {/literal}
                </script>

            </div>
        </div>

    </div>

</div>
